SDL_SetGamepadPlayerIndex(3)

NAME
SDL_SetGamepadPlayerIndex - Set the player index of an opened gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetGamepadPlayerIndex(SDL_Gamepad *gamepad, int player_index);

FUNCTION PARAMETERS

gamepad
    the gamepad object to adjust.

player_index
    player index to assign to this gamepad, or -1 to clear the player index and turn off player LEDs.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadPlayerIndex(3)